{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story5/css/style5.css' %}">
{% endblock %}

{% block title %}Daftar Kelas{% endblock %}

{% block content %}
{% include 'navbar.html' %}

<div class="fluid-container course-container mx-auto">
    <p class="judul text-center">COURSE LIST</p>
    
    {% if matkuls %}
        {% for matkul in matkuls %}
            <div class="card">
                <h5 class="card-header">{{matkul.namaMatkul}}</h5>
                <div class="card-body">
                    <p class="card-text">Lecturer : {{matkul.dosenPengajar}}</p>
                    <p class="card-text">Credit(s) : {{matkul.jumlahSKS}}</p>
                    <p class="card-text">Classroom : {{matkul.kelas}}</p>
                    <div class = "text-right">
                            <form method="POST" style="display: inline; margin: 5px;">
                                {% csrf_token %}
                                <input name="namaMatkul" value="{{matkul.namaMatkul}}" type="hidden">
                                <button type="submit" value="submit" style="background-color:transparent; border-color: transparent; border-width: 0; color: white;"><i class="fas fa-trash-alt"></i></button>
                            </form>
                            <a href="{% url 'Story5:detail' matkul.namaMatkul %} " class="btn btme btn-dark" style="margin:auto;">Detail</a>
                    </div>
                    
                </div>
            </div>
        {% endfor %}
    {% else %}
        <p class="text-center" style=font-size:1.5rem >Sorry, there is no course in here</p>
    {% endif %}
    <div class = "text-center mb-5">
        <a class="btme btn btn-lg btn-dark text-center" href="{% url 'Story5:addmatkul' %}" role="button">Add Course</a>
    </div>
    
    
</div>
    
{% include 'footer.html' %}

{% endblock %}